更换JDK版本不成功,还是以前的版本(两种分析、解决办法)


场景描述:我之前用的JDK是1.8版本的,但是项目变化后需要使用1.7版本的,我随后加下载并安装了1.7版本的,环境变量配置也更改好了,但是当我“手欠”在CMD面板命令行输入:后发现出来的信息居然是:
在这里插入图片描述
然后我就很郁闷了。查了半天,配置没问题啊~
随后我就在网上查了相关的问题解决办法,发现还真有不少这种情况,其问题出现的原因是:

我的和他的情况不太一样,我的是先安装的是1.8的,然后换回1.7的,出现了同样的问题,也许是可以用同样的解决办法吧,查看解决办法

但是很遗憾的是我在我的这个目录下并未发现这三个文件,很尴尬是不是~????,虽然这个办法对于很多相同情况的同学确实是可用的,但是我这个并不行,没办法,又在网上找解决的办法。
最后找到了,首先然大家看一下我的:
在这里插入图片描述

  • 我的问题导致的原因:
  • 因此,解决办法就是

修改后的:
在这里插入图片描述

验证:
在这里插入图片描述

修改成功!